Developer API - データパイプライン ​

このページは機械翻訳により提供されています。翻訳内容と英語版に相違がある場合は、英語版が優先されます。

次のエンドポイントを使用して、データパイプラインをプログラムで管理します。パイプラインを作成および構成し、開始と停止を行い、オブジェクトを再同期し、オブジェクト実行を監視できます。これらのエンドポイントは、データパイプラインが有効になっているワークスペースで利用できます。データパイプラインとコネクションは Environment 単位のスコープであるため、APIクライアントは自分が属している Environment 内のパイプラインとコネクションにのみアクセスできます。

エンドポイントへのアクセス ​

APIクライアントには、これらのエンドポイントにアクセスするための適切な権限が必要です。これらの権限を制御するには、クライアントロールを作成または編集するときに Data Pipelines セクションを構成します。利用可能なオプションについては、Data Pipelines privileges を参照してください。

Data Pipelines 権限 ​

Data Pipelines 権限グループには、次のオプションが含まれます:

権限エンドポイント
データパイプラインを一覧表示GET /api/data_pipelines
データパイプラインの詳細を取得GET /api/data_pipelines/:data_pipeline_id
データパイプライン作成POST /api/data_pipelines
データパイプラインを更新PUT /api/data_pipelines/:data_pipeline_id
データパイプラインを削除DELETE /api/data_pipelines/:data_pipeline_id
データパイプラインを開始PUT /api/data_pipelines/:data_pipeline_id/start
データパイプラインを停止PUT /api/data_pipelines/:data_pipeline_id/stop
データパイプラインをクローンPOST /api/data_pipelines/:data_pipeline_id/clone
データパイプラインの再同期をトリガーPOST /api/data_pipelines/:data_pipeline_id/resync
データパイプライン内のオブジェクトを一覧表示GET /api/data_pipelines/:data_pipeline_id/objects
データパイプラインの実行を一覧表示GET /api/data_pipelines/:data_pipeline_id/runs
実行の詳細を取得GET /api/data_pipelines/:data_pipeline_id/runs/:run_id
ソースプロバイダーを一覧表示GET /api/data_pipelines/sources
デスティネーションプロバイダーを一覧表示GET /api/data_pipelines/destinations
ソースオブジェクトを一覧表示POST /api/data_pipelines/source_objects
ソースオブジェクトフィールドを一覧表示POST /api/data_pipelines/source_object_fields
構成スキーマを取得POST /api/data_pipelines/:data_pipeline_id/configuration

レート制限 ​

データパイプラインのリソースには、次のレート制限があります:

タイプリソースクォータ
すべてすべてのデータパイプラインエンドポイント1分あたり60リクエスト

クイックリファレンス ​

タイプリソース説明
GET/api/data_pipelinesデータパイプラインを一覧表示します。
GET/api/data_pipelines/:data_pipeline_idデータパイプラインを取得します。
POST/api/data_pipelinesデータパイプラインを作成します。
PUT/api/data_pipelines/:data_pipeline_idデータパイプラインを更新します。
DELETE/api/data_pipelines/:data_pipeline_idデータパイプラインを削除します。
POST/api/data_pipelines/:data_pipeline_id/cloneデータパイプラインをクローンします。
PUT/api/data_pipelines/:data_pipeline_id/startデータパイプラインを開始します。
PUT/api/data_pipelines/:data_pipeline_id/stopデータパイプラインを停止します。
GET/api/data_pipelines/sourcesソースプロバイダーを一覧表示します。
GET/api/data_pipelines/destinationsデスティネーションプロバイダーを一覧表示します。
POST/api/data_pipelines/source_objectsソースコネクションから利用可能なオブジェクトを一覧表示します。
POST/api/data_pipelines/source_object_fieldsソースオブジェクトのフィールドを一覧表示します。
POST/api/data_pipelines/:data_pipeline_id/configurationパイプラインの構成スキーマを取得し、構成値を検証します。
GET/api/data_pipelines/:data_pipeline_id/objectsデータパイプライン内のオブジェクトを一覧表示します。
POST/api/data_pipelines/:data_pipeline_id/resyncデータパイプライン内のオブジェクトを再同期します。
GET/api/data_pipelines/:data_pipeline_id/runsデータパイプラインのオブジェクト実行を一覧表示します。
GET/api/data_pipelines/:data_pipeline_id/runs/:run_idオブジェクト実行を取得します。

パイプラインの作成と実行 ​

Get configuration schema と Update a data pipeline の各エンドポイントはパイプライン ID を必要とするため、構成する前にパイプラインを作成する必要があります。 API でパイプラインを作成して開始するには、次の手順を実行します:

1

List source providers と List destination providers を呼び出して、ワークスペースで利用可能なプロバイダー名を取得します。

2

List source objects と List source object fields を呼び出して、ソースコネクションから利用可能なデータを確認します。 List connections エンドポイントを使用して、コネクション ID を取得できます。

3

ソースとデスティネーションのプロバイダーおよびコネクション ID を指定して Create a data pipeline を呼び出します。

4

Get configuration schema を呼び出して、ソース、デスティネーション、またはオブジェクトの構成フィールドとデフォルト値を取得します。値を検証するために、input フィールドに構成値を含めます。

5

Update a data pipeline を呼び出して、検証済みの source_config と destination_config の値を保存します。

6

Start a data pipeline を呼び出して、同期を開始します。

7

List pipeline objects と List pipeline runs を呼び出して、同期アクティビティを監視します。 Re-sync objects を呼び出して、通常のスケジュール外で特定オブジェクトのデータを再読み込みします。

エラーレスポンス ​

データパイプライン API は、次の形式でエラーを返します。

エラーフォーマット ​

ほとんどのエラーは errors 配列を返します。各エラーには、エラーを説明する code と title が含まれ、さらに detail と reason フィールドを含めることができます:

json
{
  "errors": [
    {
      "code": 404,
      "title": "Not found"
    }
  ]
}

認証エラーおよびパラメーターエラー ​

401 エラーおよび必須パラメーターが欠落しているか無効なリクエストは、errors 配列の代わりに、エラー内容を説明する message フィールドを返します。複数の必須パラメーターが欠落している場合は、代わりに errors 配列が使用されます。これらのレスポンスには、details および reason フィールドが含まれる場合もあります:

json
{
  "message": "Unauthorized"
}

エラーコード ​

データパイプライン API は、次のエラーコードを返します。

コード説明
400不正なリクエスト。リクエストが無効であるか、パイプラインを開始できない、または実行が存在しない場合などに、処理が失敗しました。
401認証されていません. API トークンが無効または欠落している、APIクライアントに必要な権限がない、または APIクライアントがリソースを含むフォルダにアクセスできません。
404データパイプライン、コネクション、またはソースオブジェクトが存在しません。
422検証エラー. 作成および更新エンドポイントによって返されます。
429リクエストが多すぎます。レート制限を超えました。 Retry-After レスポンスヘッダーに、再試行できるタイミングが示されます。
500内部サーバーエラー. title にはエラー ID が含まれます。

削除、開始、停止、再同期の各エンドポイントは、処理が成功した場合は {"success": true} を返し、失敗した場合は 400 エラーを返します。

詳細については、HTTP response codes を参照してください。

パイプライン ​

次のエンドポイントを使用して、データパイプラインを作成、更新、および制御します。

データパイプラインを一覧表示 ​

APIクライアントが属している Environment 内のデータパイプラインの一覧を、ID の昇順で返します。レスポンスには、APIクライアントがアクセスできるフォルダ内のパイプラインのみが含まれます。

GET https://YOUR_DATA_CENTER/api/data_pipelines

クエリパラメーター ​

名前タイプ説明
folder_idinteger
optional
指定したフォルダ内のパイプラインを返します。
since_idinteger
optional
指定した値より大きい ID を持つパイプラインを返します。次のページを取得するには、この値に前回のレスポンスで最も大きい id を指定します。これは、指定した値より小さい ID を返す Recipes API の since_id とは動作が異なります。
per_pageinteger
optional
ページごとに返すパイプライン数。デフォルトは100です。最大値は100です。

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines?folder_id=:folder_id' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "items": [
    {
      "id": 4821,
      "name": "Salesforce to Snowflake",
      "handle": "dpr-BcHkTq2x-x7Lp9Q-SM",
      "folder_id": 27180380,
      "user_id": 81234,
      "created_at": "2026-10-01T09:00:00Z",
      "updated_at": "2026-10-01T09:20:00Z",
      "source_provider": "salesforce",
      "source_shared_account_id": 10452,
      "source_config": {},
      "destination_provider": "snowflake",
      "destination_shared_account_id": 10453,
      "destination_config": {},
      "running": true,
      "last_run_at": "2026-10-14T10:00:05Z",
      "stopped_at": null,
      "last_synced_at": "2026-10-14T09:50:12Z",
      "next_sync_at": "2026-10-14T10:15:00Z",
      "successful_object_runs_count": 1248,
      "failed_object_runs_count": 3,
      "current_sync": {
        "started_at": "2026-10-14T10:00:05Z",
        "successful_object_runs_count": 4,
        "failed_object_runs_count": 0,
        "total_object_runs_count": 6
      },
      "last_sync": {
        "started_at": "2026-10-14T09:45:03Z",
        "completed_at": "2026-10-14T09:50:12Z",
        "successful_object_runs_count": 6,
        "failed_object_runs_count": 0,
        "total_object_runs_count": 6
      }
    },
    {
      "id": 4822,
      "name": "Salesforce to PostgreSQL",
      "handle": "dpr-BcJm4Wn8-q3Zr8T-SM",
      "folder_id": 27180380,
      "user_id": 81234,
      "created_at": "2026-10-02T14:30:00Z",
      "updated_at": "2026-10-03T08:15:00Z",
      "source_provider": "salesforce",
      "source_shared_account_id": 10452,
      "source_config": {},
      "destination_provider": "postgresql",
      "destination_shared_account_id": 10460,
      "destination_config": {},
      "running": false,
      "last_run_at": "2026-10-03T08:00:04Z",
      "stopped_at": "2026-10-03T08:15:00Z",
      "last_synced_at": "2026-10-03T08:04:51Z",
      "next_sync_at": null,
      "successful_object_runs_count": 212,
      "failed_object_runs_count": 0,
      "last_sync": {
        "started_at": "2026-10-03T08:00:04Z",
        "completed_at": "2026-10-03T08:04:51Z",
        "successful_object_runs_count": 4,
        "failed_object_runs_count": 0,
        "total_object_runs_count": 4
      }
    }
  ]
}

データパイプラインを取得 ​

指定したデータパイプラインの構成とステータスを返します。

GET https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
データパイプラインの ID。 List data pipelines エンドポイントを呼び出すことで、パイプライン ID の一覧を取得できます。

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "id": 4821,
  "name": "Salesforce to Snowflake",
  "handle": "dpr-BcHkTq2x-x7Lp9Q-SM",
  "folder_id": 27180380,
  "user_id": 81234,
  "created_at": "2026-10-01T09:00:00Z",
  "updated_at": "2026-10-01T09:20:00Z",
  "source_provider": "salesforce",
  "source_shared_account_id": 10452,
  "source_config": {},
  "destination_provider": "snowflake",
  "destination_shared_account_id": 10453,
  "destination_config": {},
  "running": true,
  "last_run_at": "2026-10-14T10:00:05Z",
  "stopped_at": null,
  "last_synced_at": "2026-10-14T09:50:12Z",
  "next_sync_at": "2026-10-14T10:15:00Z",
  "successful_object_runs_count": 1248,
  "failed_object_runs_count": 3,
  "current_sync": {
    "started_at": "2026-10-14T10:00:05Z",
    "successful_object_runs_count": 4,
    "failed_object_runs_count": 0,
    "total_object_runs_count": 6
  },
  "last_sync": {
    "started_at": "2026-10-14T09:45:03Z",
    "completed_at": "2026-10-14T09:50:12Z",
    "successful_object_runs_count": 6,
    "failed_object_runs_count": 0,
    "total_object_runs_count": 6
  }
}

レスポンスフィールド ​

List、Get、Create、Update、Clone の各エンドポイントは、次のフィールドを持つデータパイプラインオブジェクトを返します。タイムスタンプは ISO 8601 形式を使用します。タイムスタンプやカウントなど、一部のフィールドは null を返す場合があります。

List、Get、Update エンドポイントは、同期情報が利用可能な場合、同期ステータスフィールド(last_synced_at、next_sync_at、successful_object_runs_count、failed_object_runs_count、current_sync、last_sync)も返します。 Create および Clone エンドポイントは、これらのフィールドを返しません。

名前タイプ説明
idintegerデータパイプライン ID。
namestringパイプライン名。
handlestringパイプラインの一意の文字列識別子。
folder_idintegerパイプラインを含むフォルダの ID。
user_idintegerパイプラインの所有ユーザーの ID。
created_atstringパイプラインが作成された時刻。
updated_atstringパイプラインが最後に更新された時刻。
source_providerstringsalesforce などのソースプロバイダー名。
source_shared_account_idintegerソースコネクション ID。
source_configobjectソース構成。
destination_providerstringsnowflake などのデスティネーションプロバイダー名。
destination_shared_account_idintegerデスティネーションコネクション ID。
destination_configobjectデスティネーション構成。
runningbooleanパイプラインが実行中かどうか。
last_run_atstring直近の実行時刻。
stopped_atstringパイプラインが最後に停止された時刻。
last_synced_atstring直近の正常終了した同期の時刻。
next_sync_atstring次回のスケジュール済み同期の時刻。
successful_object_runs_countinteger成功したオブジェクト実行の数。
failed_object_runs_countinteger失敗したオブジェクト実行の数。
current_syncobject進行中の同期に関する統計。同期が実行中の間のみ返されます。 Sync statistics を参照してください。
last_syncobject直前の同期に関する統計。パイプラインに以前の同期がある場合にのみ返されます。 Sync statistics を参照してください。

同期統計 ​

current_sync および last_sync オブジェクトには、次のフィールドが含まれます。

名前タイプ説明
started_atstring同期が開始された時刻。
completed_atstring同期が完了した時刻。 last_sync のみで返されます。
successful_object_runs_countinteger同期内で成功したオブジェクト実行の数。
failed_object_runs_countinteger同期内で失敗したオブジェクト実行の数。
total_object_runs_countinteger同期内のオブジェクト実行の総数。

同期とオブジェクト実行の詳細については、Pipeline runs を参照してください。

データパイプラインの作成 ​

指定したソースおよびデスティネーションでデータパイプラインを作成します。

POST https://YOUR_DATA_CENTER/api/data_pipelines

ペイロード ​

名前タイプ説明
namestring
必須
パイプライン名。
source_providerstring
必須
salesforce などのソースプロバイダー名。 List source providers を呼び出して、利用可能な名前を取得します。
source_shared_account_idinteger
required
ソースコネクション ID。
destination_providerstring
必須
snowflake などのデスティネーションプロバイダー名。 List destination providers を呼び出して、利用可能な名前を取得します。
destination_shared_account_idinteger
required
デスティネーションコネクション ID。
folder_idinteger
optional
Workato がパイプラインを保存するフォルダの ID。デフォルトは Home フォルダです。
source_configobject
optional
ソース構成。 Get configuration schema を呼び出して、利用可能なフィールドを取得します。
destination_configobject
optional
デスティネーション構成。 Get configuration schema を呼び出して、利用可能なフィールドを取得します。

List connections エンドポイントを使用して、コネクション ID を取得できます。

サンプルリクエスト ​

shell
curl  -X POST 'https://YOUR_DATA_CENTER/api/data_pipelines' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "name": ":name",
            "folder_id": :folder_id,
            "source_provider": ":source_provider",
            "source_shared_account_id": :source_connection_id,
            "destination_provider": ":destination_provider",
            "destination_shared_account_id": :destination_connection_id
          }'

サンプルレスポンス ​

Workato は 201 Created ステータスと、新しいデータパイプラインオブジェクトを返します。レスポンスには同期ステータスフィールドは含まれません。

json
{
  "id": 4821,
  "name": "Salesforce to Snowflake",
  "handle": "dpr-BcHkTq2x-x7Lp9Q-SM",
  "folder_id": 27180380,
  "user_id": 81234,
  "created_at": "2026-10-01T09:00:00Z",
  "updated_at": "2026-10-01T09:00:00Z",
  "source_provider": "salesforce",
  "source_shared_account_id": 10452,
  "source_config": {},
  "destination_provider": "snowflake",
  "destination_shared_account_id": 10453,
  "destination_config": {},
  "running": false,
  "last_run_at": null,
  "stopped_at": null
}

データパイプラインを更新 ​

指定したデータパイプラインの名前、フォルダ、または構成を更新します。

PUT https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
更新するデータパイプラインの ID。

ペイロード ​

名前タイプ説明
namestring
optional
パイプライン名。
folder_idinteger
optional
Workato がパイプラインを保存するフォルダの ID。
source_configobject
optional
ソース構成。 Get configuration schema を呼び出して、利用可能なフィールドを取得します。
destination_configobject
optional
デスティネーション構成。 Get configuration schema を呼び出して、利用可能なフィールドを取得します。

サンプルリクエスト ​

shell
curl  -X PUT 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "name": ":name",
            "folder_id": :folder_id
          }'

サンプルレスポンス ​

Workato は更新されたデータパイプラインオブジェクトを返します。

json
{
  "id": 4821,
  "name": "Salesforce to Snowflake (production)",
  "handle": "dpr-BcHkTq2x-x7Lp9Q-SM",
  "folder_id": 27180395,
  "user_id": 81234,
  "created_at": "2026-10-01T09:00:00Z",
  "updated_at": "2026-10-14T11:30:00Z",
  "source_provider": "salesforce",
  "source_shared_account_id": 10452,
  "source_config": {},
  "destination_provider": "snowflake",
  "destination_shared_account_id": 10453,
  "destination_config": {},
  "running": false,
  "last_run_at": "2026-10-14T10:00:05Z",
  "stopped_at": "2026-10-14T11:00:00Z",
  "last_synced_at": "2026-10-14T10:05:40Z",
  "next_sync_at": null,
  "successful_object_runs_count": 1254,
  "failed_object_runs_count": 3,
  "last_sync": {
    "started_at": "2026-10-14T10:00:05Z",
    "completed_at": "2026-10-14T10:05:40Z",
    "successful_object_runs_count": 6,
    "failed_object_runs_count": 0,
    "total_object_runs_count": 6
  }
}

データパイプラインを削除 ​

指定したデータパイプラインを完全に削除します。このアクションは元に戻せません。

DELETE https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
削除するデータパイプラインの ID。

サンプルリクエスト ​

shell
curl  -X DELETE 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "success": true
}

データパイプラインをクローン ​

指定したデータパイプラインのコピーを作成します。

POST https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/clone

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
クローンを作成するデータパイプラインの ID。

サンプルリクエスト ​

shell
curl  -X POST 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/clone' \
      -H 'Authorization: Bearer <api_token>'

レスポンス ​

Workato は 201 Created ステータスと、クローンされたデータパイプラインオブジェクトを返します。レスポンスには同期ステータスフィールドは含まれず、Create a data pipeline と同じ形式を使用します。

データパイプラインを開始 ​

指定したデータパイプラインを開始し、データの処理を開始します。パイプラインを開始できない場合は、400 エラーを返します。

PUT https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/start

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
開始するデータパイプラインの ID。

サンプルリクエスト ​

shell
curl  -X PUT 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/start' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "success": true
}

データパイプラインを停止 ​

指定したデータパイプラインがデータを処理しないように停止します。

PUT https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/stop

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
停止するデータパイプラインの ID。

サンプルリクエスト ​

shell
curl  -X PUT 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/stop' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "success": true
}

パイプライン構成 ​

次のエンドポイントを使用して、プロバイダー、オブジェクト、フィールドを検出し、パイプライン構成を取得および検証します。

ソースプロバイダーを一覧表示 ​

データパイプラインで利用可能なソースプロバイダーを返します。

GET https://YOUR_DATA_CENTER/api/data_pipelines/sources

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines/sources' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "items": [
    {
      "name": "snowflake",
      "connectionless": false
    },
    {
      "name": "salesforce",
      "connectionless": false
    }
  ]
}

レスポンスフィールド ​

List source providers および List destination providers エンドポイントは、items 配列を返します。各項目には、次のフィールドが含まれます。

名前タイプ説明
namestringプロバイダー名。 create a data pipeline を実行するときに、この値を source_provider または destination_provider として使用します。
connectionlessbooleanプロバイダーがコネクションを必要としないかどうか。

デスティネーションプロバイダーを一覧表示 ​

データパイプラインで利用可能なデスティネーションプロバイダーを返します。レスポンスは、List source providers と同じフィールドを使用します。

GET https://YOUR_DATA_CENTER/api/data_pipelines/destinations

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines/destinations' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "items": [
    {
      "name": "snowflake",
      "connectionless": false
    },
    {
      "name": "postgresql",
      "connectionless": false
    }
  ]
}

ソースオブジェクトを一覧表示 ​

指定したソースコネクションから利用可能なオブジェクトを返します。コネクションが存在しない場合は、404 エラーを返します。

POST https://YOUR_DATA_CENTER/api/data_pipelines/source_objects

ペイロード ​

名前タイプ説明
shared_account_idinteger
required
ソースコネクション ID。
extensionobject
optional
プロバイダー固有の拡張パラメーター。
filterstring
optional
返されるオブジェクトを制限するフィルター式。

サンプルリクエスト ​

shell
curl  -X POST 'https://YOUR_DATA_CENTER/api/data_pipelines/source_objects' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "shared_account_id": :source_connection_id
          }'

サンプルレスポンス ​

json
{
  "items": [
    {
      "name": "Account",
      "namespace": null,
      "label": "Account",
      "workato_type": "OBJECT"
    },
    {
      "name": "Contact",
      "namespace": null,
      "label": "Contact",
      "workato_type": "OBJECT"
    }
  ]
}

レスポンスフィールド ​

レスポンスには、ソースコネクションから利用可能なオブジェクトの items 配列が含まれます。各項目には、次のフィールドが含まれます。

名前タイプ説明
namestringオブジェクト名。この値を object_name として List source object fields に渡します。
namespacestringデータベーススキーマなどのオブジェクト名前空間。この値を object_namespace として List source object fields に渡します。 null を返す場合があります。
labelstringオブジェクトの表示ラベル。
workato_typestringオブジェクトの Workato タイプ。OBJECT など。
extensionobjectプロバイダー固有のオブジェクト拡張。
supported_sync_modes文字列の配列オブジェクトがサポートする同期モード。

ソースオブジェクトフィールドを一覧表示 ​

指定したソースコネクション内のオブジェクトのフィールドスキーマを返します。コネクションまたはオブジェクトが存在しない場合は、404 エラーを返します。

POST https://YOUR_DATA_CENTER/api/data_pipelines/source_object_fields

ペイロード ​

名前タイプ説明
shared_account_idinteger
required
ソースコネクション ID。
object_namestring
必須
Account などのオブジェクト名。
object_namespacestring
optional
オブジェクト名前空間。デフォルトの名前空間を使用するには、省略するか null を指定します。
extensionobject
optional
プロバイダー固有の拡張パラメーター。

サンプルリクエスト ​

shell
curl  -X POST 'https://YOUR_DATA_CENTER/api/data_pipelines/source_object_fields' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "shared_account_id": :source_connection_id,
            "object_name": ":object_name"
          }'

サンプルレスポンス ​

json
{
  "fields": [
    {
      "name": "Id",
      "label": "Account ID",
      "type": "STRING",
      "workato_type": "STRING",
      "primary_key": true,
      "cursor_field": false,
      "is_deleted_field": false,
      "masking_available": false,
      "must_sync": true,
      "eligible_for": ["PK"]
    },
    {
      "name": "Name",
      "label": "Account Name",
      "type": "STRING",
      "workato_type": "STRING",
      "primary_key": false,
      "cursor_field": false,
      "is_deleted_field": false,
      "masking_available": true,
      "must_sync": false,
      "eligible_for": []
    }
  ],
  "supported_sync_modes": ["FULL", "INCREMENTAL"]
}

レスポンスフィールド ​

名前タイプ説明
fieldsarray of objectsオブジェクトのフィールド記述子。 Field descriptors を参照してください。
supported_sync_modes文字列の配列オブジェクトがサポートする同期モード。 null を返す場合があります。
supported_sync_strategiesobject各サポートされている同期モードに対する同期ストラテジー。モードをキーにしたマップです。各ストラテジーには、name と label が含まれます。 null を返す場合があります。

フィールド記述子 ​

fields 配列内の各項目には、次のフィールドが含まれます。

名前タイプ説明
namestringフィールド名。
labelstringフィールドの表示ラベル。
typestringフィールドタイプ。
workato_typestringフィールドの Workato タイプ。
primary_keybooleanフィールドが主キーの一部かどうか。
cursor_fieldbooleanフィールドがカーソルフィールドかどうか。
is_deleted_fieldbooleanフィールドが削除済みレコードを示すかどうか。
masking_availablebooleanフィールドをマスキングできるかどうか。
must_syncbooleanフィールドがデフォルトで同期されるかどうか。
eligible_for文字列の配列フィールドが担うことができるロール。ソースが何も報告しない場合は空です。

構成スキーマを取得 ​

データパイプラインのソース、デスティネーション、またはオブジェクト設定について、構成スキーマ、デフォルト値、および検証エラーを返します。パイプラインを更新または開始する前に、input フィールドに構成値を含めて検証します。パイプラインまたはコネクションが存在しない場合は、404 エラーを返します。

POST https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/configuration

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
データパイプラインの ID。

ペイロード ​

名前タイプ説明
typestring
必須
評価対象の構成。受け入れ可能な値: sources、destinations、object_settings。
shared_account_idinteger
required
スキーマを評価する対象のコネクション ID。
object_namestring
optional
オブジェクトレベルのスキーマ評価用のオブジェクト名。
object_namespacestring
optional
オブジェクト名前空間。
object_extensionobject
optional
オブジェクトに対するプロバイダー固有の拡張パラメーター。
supported_sync_modesarray of strings
optional
オブジェクトがサポートする同期モード。
inputobject
optional
現在の構成値。 Workato はこれらの値に対して動的フィールドを評価し、errors フィールドに検証エラーを返します。

サンプルリクエスト ​

shell
curl  -X POST 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/configuration' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "type": "sources",
            "shared_account_id": :source_connection_id,
            "object_name": ":object_name"
          }'

サンプルレスポンス ​

利用可能な構成フィールドは、プロバイダーによって異なります。次の例は、input から必須フィールドが欠落しているソースを示しています。

json
{
  "schema": [
    {
      "item_type": "schema-field",
      "name": "mode",
      "label": "Mode",
      "type": "string",
      "control_type": "select",
      "default": "simple",
      "options": [
        ["Simple", "simple"],
        ["Advanced", "advanced"]
      ],
      "extends_schema": true
    },
    {
      "item_type": "schema-field",
      "name": "required_field",
      "label": "Required field",
      "type": "string",
      "validation_problems": [
        {
          "type": "error",
          "message": "can't be blank"
        }
      ]
    }
  ],
  "default_input": {
    "mode": "simple"
  },
  "errors": {
    "source_config": [
      {
        "field": "required_field",
        "message": "can't be blank",
        "severity": "error"
      }
    ]
  }
}

レスポンスフィールド ​

名前タイプ説明
schemaarray of objects構成項目。 item_type を使用して項目タイプを判別します。 schema-field 項目は構成フィールドです。 object-field、message、help、separator などの他の値は、異なる属性を持つ構造または表示用の項目です。 schema-field には name、label、type が含まれ、さらに control_type、default、options、hint、optional、read_only、validation_problems などの属性を含めることができます。
default_inputobjectフィールド name をキーとする、各構成フィールドのデフォルト値。
errorsobjectinput 内の値に対する検証エラー。 type が destinations の場合は destination_config をキーに、sources または object_settings の場合は source_config をキーにします。各キーには、エラーの配列が含まれます。各エラーには、構成フィールドのパスまたはオブジェクトレベルの問題を示す objects を持つ field、message、および error または warning の severity が含まれます。リクエストに object_name が含まれている場合、フィールドレベルのエラーには object_name も含まれます。

オブジェクトと実行 ​

次のエンドポイントを使用して、オブジェクトの同期ステータスと実行履歴を監視し、オブジェクトを再同期します。オブジェクトと実行の詳細については、Monitor and manage data pipelines を参照してください。

パイプラインオブジェクトを一覧表示 ​

指定したデータパイプラインで構成されているオブジェクトと、その同期ステータスを返します。

GET https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/objects

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
データパイプラインの ID。

クエリパラメーター ​

名前タイプ説明
limitinteger
optional
ページごとに返すオブジェクト数。デフォルトは50です。 Workato は、1 から 1000 の範囲外の値を、最も近い制限値に調整します。
offsetinteger
optional
Workato が結果を返す前にスキップするオブジェクト数。
sort_bystring
optional
object_label や run_last_state など、結果をソートする対象フィールド。
object_labelstring
optional
指定した表示ラベルを持つオブジェクトを返します。
run_last_statestring
optional
直近の実行が指定したステータスであるオブジェクトを返します。利用可能な値については、run_last_state のレスポンスフィールドを参照してください。

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/objects?limit=:limit&offset=:offset' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "items": [
    {
      "object_namespace": null,
      "object_name": "Account",
      "object_label": "Accounts",
      "run_last_state": "synced",
      "updated_at": "2026-10-14T10:02:31Z",
      "resync_requested": false
    },
    {
      "object_namespace": null,
      "object_name": "Contact",
      "object_label": "Contacts",
      "run_last_state": "failed",
      "updated_at": "2026-10-14T10:03:12Z",
      "resync_requested": true
    }
  ]
}

レスポンスフィールド ​

名前タイプ説明
object_namespacestringオブジェクト名前空間。オブジェクトに名前空間がない場合は null を返します。
object_namestringオブジェクト名。
object_labelstringオブジェクトの表示ラベル。
run_last_statestringオブジェクトの直近の実行ステータス。利用可能な値: synced、failed、initial_syncing、syncing、resyncing、queued、not_synced_yet、cancelled、unknown。
updated_atstringオブジェクトが最後に更新された時刻。ISO 8601 形式。
resync_requestedbooleanオブジェクトに再同期が要求されているかどうか。

オブジェクトを再同期 ​

指定したオブジェクトについて、ソースからデータを完全に再同期します。 Workato が再同期を開始できない場合は、400 エラーを返します。詳細については、Object syncs を参照してください。

POST https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/resync

URL パラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
データパイプラインの ID。

ペイロード ​

名前タイプ説明
objectsオブジェクトの配列
必須
再同期するオブジェクト。 List pipeline objects の object_name および object_namespace の値を使用します。各オブジェクトには、次のフィールドが含まれます:
name (string, required): オブジェクト名。
namespace (string, optional): オブジェクト名前空間。デフォルトの名前空間を使用するには、null を指定します。

サンプルリクエスト ​

shell
curl  -X POST 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/resync' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "objects": [
              {
                "name": ":object_name",
                "namespace": ":object_namespace"
              }
            ]
          }'

サンプルレスポンス ​

json
{
  "success": true
}

パイプライン実行を一覧表示 ​

指定したデータパイプラインのオブジェクト実行を返します。各同期には、オブジェクトごとに実行が1回含まれます。レスポンスには、直近30日間の実行のみが含まれます。

GET https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/runs

URLパラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
データパイプラインの ID。

クエリパラメーター ​

名前タイプ説明
object_namestring
optional
指定したオブジェクトの実行を返します。
object_namespacestring
optional
指定した名前空間内のオブジェクトの実行を返します。省略した場合、すべての名前空間の実行を返します。
limitinteger
optional
ページごとに返す実行数。デフォルトは25です。最大値は100です。
offset_object_run_idstring
optional
ページネーションカーソル。次のページを取得するには、前のレスポンスのnext_page_cursorの値を指定します。

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/runs?object_name=:object_name&limit=:limit' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "items": [
    {
      "id": "run-124",
      "object_namespace": null,
      "object_name": "Account",
      "state": "SUCCEEDED",
      "created_at": "2026-10-14T10:00:00Z",
      "started_at": "2026-10-14T10:00:05Z",
      "completed_at": "2026-10-14T10:02:31Z",
      "updated_at": "2026-10-14T10:02:31Z",
      "loaded_count": 120,
      "updated_count": 95,
      "inserted_count": 25,
      "extracted_count": 120,
      "run_type": "INCREMENTAL",
      "sync_type2": "REGULAR"
    },
    {
      "id": "run-123",
      "object_namespace": null,
      "object_name": "Account",
      "state": "SUCCEEDED",
      "created_at": "2026-10-14T09:45:00Z",
      "started_at": "2026-10-14T09:45:03Z",
      "completed_at": "2026-10-14T09:47:40Z",
      "updated_at": "2026-10-14T09:47:40Z",
      "loaded_count": 500,
      "updated_count": 100,
      "inserted_count": 400,
      "extracted_count": 500,
      "run_type": "INCREMENTAL",
      "sync_type2": "REGULAR"
    }
  ],
  "next_page_cursor": "run-123",
  "has_more_pages": true
}

レスポンスフィールド ​

名前タイプ説明
itemsarray of objectsオブジェクト実行。フィールドの説明については、Run fieldsを参照してください。
next_page_cursorstringレスポンス内で最後の実行のID。次のページを取得するには、この値をoffset_object_run_idとして渡します。これ以上ページがない場合はnullが返されます。
has_more_pagesboolean追加のページが利用可能かどうか。

パイプライン実行の取得 ​

指定したオブジェクト実行の詳細を返します。 Workatoは直近30日間の実行のみを取得します。実行が存在しないか、それより古い場合は400エラーを返します。

GET https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/runs/:run_id

URLパラメーター ​

名前タイプ説明
data_pipeline_idinteger
required
データパイプラインの ID。
run_idstring
必須
実行のID。実行IDは、List pipeline runsエンドポイントで取得できます。

サンプルリクエスト ​

shell
curl  -X GET 'https://YOUR_DATA_CENTER/api/data_pipelines/:data_pipeline_id/runs/:run_id' \
      -H 'Authorization: Bearer <api_token>'

サンプルレスポンス ​

json
{
  "id": "run-124",
  "object_namespace": null,
  "object_name": "Account",
  "state": "SUCCEEDED",
  "created_at": "2026-10-14T10:00:00Z",
  "started_at": "2026-10-14T10:00:05Z",
  "completed_at": "2026-10-14T10:02:31Z",
  "updated_at": "2026-10-14T10:02:31Z",
  "loaded_count": 120,
  "updated_count": 95,
  "inserted_count": 25,
  "extracted_count": 120,
  "run_type": "INCREMENTAL",
  "sync_type2": "REGULAR"
}

Runフィールド ​

タイムスタンプは ISO 8601 形式を使用します。 object_namespace、started_at、completed_at、updated_atはnullを返す場合があります。実行の同期タイプを判別するには、run_typeとsync_type2を組み合わせて使用します。詳細については、Sync typesを参照してください。

名前タイプ説明
idstring実行ID。
object_namespacestring実行で処理されたオブジェクトの名前空間。
object_namestring実行で処理されたオブジェクトの名前。
statestring実行ステート。STARTED、SUCCEEDED、FAILED、CANCELLEDなど。
created_atstring実行が作成された時刻。
started_atstring実行が開始された時刻。
completed_atstring実行が完了した時刻。
updated_atstring実行が最後に更新された時刻。
loaded_countinteger宛先にロードされたレコード数。
updated_countinteger更新されたレコード数。
inserted_countinteger挿入されたレコード数。
extracted_countintegerソースから抽出されたレコード数。
run_typestring実行タイプ。スケジュール外のフル同期の場合はFULL、増分同期の場合はINCREMENTALなど。
sync_type2string実行の同期タイプ。スケジュールされた同期での実行の場合はREGULAR、オブジェクトの再同期の場合はRESYNCなど。
run_errorobject失敗した実行のエラー詳細。実行にエラーがある場合にのみ返されます。エラータイプを識別するmessage文字列とcode文字列を含みます。

最終更新日: